Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Content

Create Content
POST /contentmodules/{moduleId}/content
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content
Create a content post in a module with moduleId if the model is valid.

startDate and endDate should be provided in the following format: "yyyy-MM-ddTHH:mm:ss".

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
Request Body
application/json
object
  categoryId string / guid optional
  endDate string optional
  endDateTimeZone string optional
  ⯈ locales array[object] required
   bodyText string optional
   culture string optional
   title string optional
  mediaIds array[string / guid] optional
  name string Max length: 128 required
  ⯈ notifications object optional
   forceInstantPush boolean optional
   sendNotification boolean optional
   sendPushNotification boolean optional
  ⯈ permissions array[object] required
   departments array[string / guid] required
   requireAllUserGroups boolean optional
   userGroups array[string / guid] required
  publishOnCreate boolean optional
  startDate string required
  startDateTimeZone string optional
Responses
application/json
JSON
{"data":{"id":"57c51775-dc8e-4aea-acc4-2bee7076dc81","url":null,"userId":"1837a539-7595-4e3e-b5a2-7a5d53fe1f1f","userUrl":null,"categoryId":"d2db95d8-0127-4abe-a042-65db8a8b1647","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-25T06:15:49.1732678+00:00","lastModifiedDateTime":"2026-10-26T02:15:49.1732678+00:00","availableFrom":"2026-10-26T06:15:49","startDateTimeZone":null,"availableUntil":"2026-10-27T06:15:49","endDateTimeZone":null,"medias":[{"id":"9e177cc4-1440-42ac-9001-371d945cc77e","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"ca4228f9-9aa9-47ed-8ba8-956a8957ab39","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"475c54ee-a9d8-41b0-b053-640b7f57d792","url":null},{"type":"Department","name":"Department name example","id":"c2a67773-b35c-426a-949f-da5ce8c30706","url":null},{"type":"User group","name":"User group name example","id":"cb3e4d0b-0ae1-4cdf-8126-cc985603c661","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"9701d6dd-772d-4c57-a893-9784eb7b4f17"}],"userGroups":[{"url":null,"name":"User group name example","id":"0e262b0d-5000-4bd7-b7a7-62603efafe17"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string